Bug 138767 - Update port: multimedia/cx88 Add PID filter and support for Fusion7 dual
Summary: Update port: multimedia/cx88 Add PID filter and support for Fusion7 dual
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-12 18:50 UTC by jason.harmening
Modified: 2009-09-17 17:10 UTC (History)
0 users

See Also:


Attachments
file.diff (2.09 KB, patch)
2009-09-12 18:50 UTC, jason.harmening
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jason.harmening 2009-09-12 18:50:07 UTC
--Add PID filter and subchannel support to capture app
--Add support for DViCO Fusion 7 Dual
--Numerous small fixes

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2009-09-12 18:50:16 UTC
Class Changed
From-To: update->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 Dmitry Marakasov freebsd_committer 2009-09-17 15:45:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 3 Dmitry Marakasov 2009-09-17 16:29:47 UTC
* Jason Harmening (jason.harmening@gmail.com) wrote:

Also requires this small patch to properly respect PREFIX. Is it ok?

--- patch-iicdev-Makefile begins here ---
--- iicdev/Makefile.orig	2008-09-30 23:45:21.000000000 +0400
+++ iicdev/Makefile	2009-09-17 18:51:51.000000000 +0400
@@ -1,7 +1,7 @@
 SRCS=device_if.h bus_if.h iicdev.h iicdev.c iicdev_ioctl.h 
 KMOD=iicdev
 
-IOCTL_HEADER_DIR ?= /usr/local/include
+IOCTL_HEADER_DIR ?= ${PREFIX}/include
 
 .if defined(DIAGNOSTIC)
 CFLAGS+= -D_DIAGNOSTIC
--- patch-iicdev-Makefile ends here ---

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 4 dfilter service freebsd_committer 2009-09-17 17:06:25 UTC
amdmi3      2009-09-17 16:06:12 UTC

  FreeBSD ports repository

  Modified files:
    multimedia/cx88      Makefile distinfo pkg-plist 
  Added files:
    multimedia/cx88/files patch-iicdev-Makefile 
  Log:
  - Update to 1.2.1
  
  PR:             138767
  Submitted by:   Jason Harmening <jason.harmening@gmail.com> (maintainer)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.6       +4 -3      ports/multimedia/cx88/Makefile
  1.5       +3 -3      ports/multimedia/cx88/distinfo
  1.1       +11 -0     ports/multimedia/cx88/files/patch-iicdev-Makefile (new)
  1.5       +0 -3      ports/multimedia/cx88/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Dmitry Marakasov freebsd_committer 2009-09-17 17:06:30 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!